DATA-CATALOG_TERM_LIST(1)

NAME
data-catalog_term_list -

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

DESCRIPTION

Returns a list of all terms within a glossary.

USAGE

oci data-catalog term list [OPTIONS]

REQUIRED PARAMETERS

--catalog-id [text]

    Unique catalog identifier.

--glossary-key [text]

    Unique glossary key.

OPTIONAL PARAMETERS

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--display-name [text]

    A filter to return only resources that match the entire display name given. The match is not case sensitive.

--display-name-contains [text]

    A filter to return only resources that match display name pattern given. The match is not case sensitive. For Example : /folders?displayNameContains=Cu.* The above would match all folders with display name that starts with “Cu” or has the pattern “Cu” anywhere in between.

--fields [text]

    Specifies the fields to return in a term summary response.

    Accepted values are:

    associatedObjectCount, description, displayName, glossaryKey, isAllowedToHaveChildTerms, key, lifecycleState, parentTermKey, path, timeCreated, uri, workflowStatus

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--is-allowed-to-have-child-terms [boolean]

    Indicates whether a term may contain child terms.

--lifecycle-state [text]

    A filter to return only resources that match the specified lifecycle state. The value is case insensitive.

    Accepted values are:

    ACTIVE, CREATING, DELETED, DELETING, FAILED, INACTIVE, MOVING, UPDATING

--limit [integer]

    The maximum number of items to return.

--page [text]

    The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--parent-term-key [text]

    Unique key of the parent term.

--path [text]

    Full path of the resource for resources that support paths.

--sort-by [text]

    The field to sort by. Only one sort order may be provided. Default order for TIMECREATED is descending. Default order for DISPLAYNAME is ascending. If no value is specified TIMECREATED is default.

    Accepted values are:

    DISPLAYNAME, TIMECREATED

--sort-order [text]

    The sort order to use, either ‘asc’ or ‘desc’.

    Accepted values are:

    ASC, DESC

--workflow-status [text]

    Status of the approval workflow for this business term in the glossary.

    Accepted values are:

    APPROVED, ESCALATED, NEW, UNDER_REVIEW

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

EXAMPLE USING REQUIRED PARAMETER

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/data-catalog/catalog/create.html#cmdoption-compartment-id
    export glossary_key=<substitute-value-of-glossary_key> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/data-catalog/term/list.html#cmdoption-glossary-key
    catalog_id=$(oci data-catalog catalog create --compartment-id $compartment_id --query data.id --raw-output)
    oci data-catalog term list --catalog-id $catalog_id --glossary-key $glossary_key

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle